Bug 961921 - DNS issue with deleting and creating the same gear name
DNS issue with deleting and creating the same gear name
Status: CLOSED WORKSFORME
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
1.x
Unspecified Other
low Severity low
: ---
: ---
Assigned To: Rob Millner
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-10 14:33 EDT by rob
Modified: 2013-11-17 19:47 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-24 13:09:43 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rob 2013-05-10 14:33:30 EDT
Description of problem:

When I install the quick start for OpenMEAP, it works great. If I delete it, then run the quick start for OpenMEAP again, using the same gear name, the server starts and everything looks good on the server. However, when you try to go to the url, it redirects you to page not found https://citrix-openmeap.rhcloud.com/getting_started.html

Is the DNS flushing when you delete apps? Is there a time for it to reset before you try to re-add the app using the same gear name?


How reproducible:


Steps to Reproduce:
1. Install a new Jboss EWS 2.0 server
2. Delete the Gear
3. Install the Gear again
4. Go to the DNS address. 
  
Actual results:

503 error

Expected results:

200

Additional info:
Comment 1 rob 2013-05-16 05:38:52 EDT
A good example is https://demo-openmeap.rhcloud.com/.

I just deleted and reinstalled the gear using the same dns name. 

Take a look and see if your scripts flush the dns after deleting a gear.

Thanks,

Rob
Comment 2 Rob Millner 2013-05-17 17:42:54 EDT
Tried it on my test application - it works.

The TTL on the CNAME record we create is 60 seconds, and the SOA specifies a minimum TTL of 30 seconds.

The intermediate DNS servers and local resolver on your workstation should honour the TTL but some don't.  


$ dig rmtest-rmillner.rhcloud.com

; <<>> DiG 9.9.2-rl.028.23-P2-RedHat-9.9.2-7.P2.fc17 <<>> rmtest-rmillner.rhcloud.com
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 45216
;; flags: qr rd ra; QUERY: 1, ANSWER: 3, AUTHORITY: 0, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 4096
;; QUESTION SECTION:
;rmtest-rmillner.rhcloud.com.	IN	A

;; ANSWER SECTION:
rmtest-rmillner.rhcloud.com. 60	IN	CNAME	ex-std-node154.prod.rhcloud.com.
ex-std-node154.prod.rhcloud.com. 30 IN	CNAME	ec2-174-129-135-40.compute-1.amazonaws.com.
ec2-174-129-135-40.compute-1.amazonaws.com. 393827 IN A	174.129.135.40

;; Query time: 198 msec
;; SERVER: 10.5.30.160#53(10.5.30.160)
;; WHEN: Fri May 17 14:32:52 2013
;; MSG SIZE  rcvd: 159



Delete the app, create it again.


$ dig rmtest-rmillner.rhcloud.com

; <<>> DiG 9.9.2-rl.028.23-P2-RedHat-9.9.2-7.P2.fc17 <<>> rmtest-rmillner.rhcloud.com
;; global options: +cmd
;; Got answer:
;; ->>HEADER<<- opcode: QUERY, status: NOERROR, id: 21331
;; flags: qr rd ra; QUERY: 1, ANSWER: 3, AUTHORITY: 0, ADDITIONAL: 1

;; OPT PSEUDOSECTION:
; EDNS: version: 0, flags:; udp: 4096
;; QUESTION SECTION:
;rmtest-rmillner.rhcloud.com.	IN	A

;; ANSWER SECTION:
rmtest-rmillner.rhcloud.com. 60	IN	CNAME	ex-std-node93.prod.rhcloud.com.
ex-std-node93.prod.rhcloud.com.	30 IN	CNAME	ec2-184-73-138-68.compute-1.amazonaws.com.
ec2-184-73-138-68.compute-1.amazonaws.com. 353214 IN A 184.73.138.68

;; Query time: 131 msec
;; SERVER: 10.5.30.160#53(10.5.30.160)
;; WHEN: Fri May 17 14:35:50 2013
;; MSG SIZE  rcvd: 157
Comment 3 Rob Millner 2013-05-17 17:43:21 EDT
What platform are you using for a workstation?  We may be able to help determine where the old record is getting stuck and what to do about it.
Comment 4 rob 2013-05-18 10:23:25 EDT
Mac and PC.
Comment 5 Rob Millner 2013-05-20 13:28:14 EDT
I was able to get a 404 error by hitting reload in the same window rather than opening up a new window.  Its not the same error you were getting, but just wanted to double check whether you've tried a new window, closing the browser, clearing cache, etc...
Comment 6 rob 2013-05-20 18:19:52 EDT
I tried a new window. removed cache through firebug. I think i will just let people know that they need to wait if they delete and install using the same gear name.

Thanks.
Comment 7 Rob Millner 2013-05-24 13:09:43 EDT
Please re-open this bug if there's more we can do to help chase down where the DNS information is getting stuck.  Thanks!

Note You need to log in before you can comment on or make changes to this bug.